//
// Created by tim on 05.04.23.
//

#ifndef CTUAPEX_CTUAPEXACTION_H
#define CTUAPEX_CTUAPEXACTION_H

#include <clang/Frontend/FrontendAction.h>
#include <Callgraph.h>
#include "PreprocessorExtract.h"

class CTUApexAction : public clang::ASTFrontendAction {
public:
    CTUApexAction(metacg::Callgraph *call_graph)
            : call_graph(call_graph) {
    };

    std::unique_ptr<clang::ASTConsumer>
    CreateASTConsumer(clang::CompilerInstance &Compiler, llvm::StringRef InFile);

private:
    std::vector<ExtractionBlock> includes;
    std::vector<ExtractionBlock> macros;
    std::vector<ExtractionBlock> pragmas;
    metacg::Callgraph *call_graph;
    std::string output_text;
};

#endif //CTUAPEX_CTUAPEXACTION_H
