//
// Created by tim on 02.01.24.
//

#ifndef CTUAPEX_EXTRACTIONBLOCK_H
#define CTUAPEX_EXTRACTIONBLOCK_H
struct ExtractionBlock {
    ExtractionBlock()=default;

    ExtractionBlock(clang::SourceLocation b, clang::SourceLocation e, std::string c) {
        begin = b;
        end = e;
        contents = std::move(c);
    }

    bool operator==(const ExtractionBlock& other) const{
        return this->begin==other.begin&&this->end==other.end&&this->contents==other.contents;
    }

    clang::SourceLocation begin;
    clang::SourceLocation end;
    std::string contents;
};
#endif //CTUAPEX_EXTRACTIONBLOCK_H
