//
// Created by tim on 05.04.23.
//

#include "CTUApexConsumer.h"
#include <clang/Frontend/CompilerInstance.h>

std::unique_ptr<clang::ASTConsumer>
CTUApexAction::CreateASTConsumer(clang::CompilerInstance &Compiler, llvm::StringRef InFile) {
    Compiler.getPreprocessor().addPPCallbacks(std::make_unique<PreprocessorExtract>(Compiler.getSourceManager(), includes, macros, pragmas));
    return std::make_unique<CTUApexConsumer>(call_graph,includes,macros,pragmas);
}